import { browser } from "$app/environment";
import { writable } from "svelte/store";
export const widgetStore = writable([]);
if (browser) {
    (async () => {
        let build = [];
        const modules = import.meta.glob("./*.json");
        const components = import.meta.glob("./*.svelte");
        for (const modulePath in modules) {
            const module = await modules[modulePath]();
            const comp = await components[modulePath.replace(".json", ".svelte")]();
            const val = module.default;
            if (val.public) {
                build.push({
                    schema: val,
                    component: comp.default
                });
            }
        }
        widgetStore.set(build);
    })();
}
